<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KStandardShortcut</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KStandardShortcut Namespace Reference</h1>
<code>from PyKDE4.kdeui.KStandardShortcut import *</code>
<p>
<h2>Detailed Description</h2>
<p>\namespace KStandardShortcut
Convenient methods for access to the common accelerator keys in
the key configuration. These are the standard keybindings that should
be used in all KDE applications. They will be configurable,
so do not hardcode the default behavior.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj191337132">StandardShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;AccelNone, Open, New, Close, Save, Print, Quit, Undo, Redo, Cut, Copy, Paste, PasteSelection, SelectAll, Deselect, DeleteWordBack, DeleteWordForward, Find, FindNext, FindPrev, Replace, Home, Begin, End, Prior, Next, Up, Back, Forward, Reload, BeginningOfLine, EndOfLine, GotoLine, BackwardWord, ForwardWord, AddBookmark, ZoomIn, ZoomOut, FullScreen, ShowMenubar, TabNext, TabPrev, Help, WhatsThis, TextCompletion, PrevCompletion, NextCompletion, SubstringCompletion, RotateUp, RotateDown, OpenRecent, SaveAs, Revert, PrintPreview, Mail, Clear, ActualSize, FitToPage, FitToWidth, FitToHeight, Zoom, Goto, GotoPage, DocumentBack, DocumentForward, EditBookmarks, Spelling, ShowToolbar, ShowStatusbar, SaveOptions, KeyBindings, Preferences, ConfigureToolbars, ConfigureNotifications, TipofDay, ReportBug, SwitchApplicationLanguage, AboutApp, AboutKDE, StandardShortcutCount&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191921996">addBookmark</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191956620">back</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191957900">backwardWord</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191931756">begin</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933036">beginningOfLine</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191906668">close</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191945292">completion</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191918284">copy</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191909196">cut</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191919884">deleteWordBack</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191920268">deleteWordForward</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191932172">end</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933420">endOfLine</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStandardShortcut.StandardShortcut&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191899852">find</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a> keySeq)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KStandardShortcut.StandardShortcut&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191898604">find</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> keyName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191920236">find</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191920620">findNext</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191921036">findPrev</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191957036">forward</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191958284">forwardWord</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191944492">fullScreen</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191942860">gotoLine</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191901132">hardcodedDefaultShortcut</a> (KStandardShortcut.StandardShortcut id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191944460">help</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191931340">home</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191930924">insert</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191898732">label</a> (KStandardShortcut.StandardShortcut id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191898156">name</a> (KStandardShortcut.StandardShortcut id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933772">next</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191946060">nextCompletion</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191906156">open</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191906444">openNew</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191918700">paste</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191919116">pasteSelection</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191945676">prevCompletion</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191907500">print_</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191933388">prior</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191908012">quit</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191908876">redo</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191955820">reload</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191921452">replace</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191934316">rotateDown</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191955052">rotateUp</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191907180">save</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191901580">saveShortcut</a> (KStandardShortcut.StandardShortcut id, <a href="../kdeui/KShortcut.html">KShortcut</a> newShortcut)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191919500">selectAll</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191897772">shortcut</a> (KStandardShortcut.StandardShortcut id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191958668">showMenubar</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191946444">substringCompletion</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191943244">tabNext</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191943628">tabPrev</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191908364">undo</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191956204">up</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191899404">whatsThis</a> (KStandardShortcut.StandardShortcut id)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191955852">whatsThis</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191930540">zoomIn</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191930956">zoomOut</a> ()</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj191337132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">StandardShortcut</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines the identifier of all standard accelerators.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>AccelNone</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Open</em>&nbsp;</td><td><tr><td valign="top"><em>New</em>&nbsp;</td><td><tr><td valign="top"><em>Close</em>&nbsp;</td><td><tr><td valign="top"><em>Save</em>&nbsp;</td><td><tr><td valign="top"><em>Print</em>&nbsp;</td><td><tr><td valign="top"><em>Quit</em>&nbsp;</td><td><tr><td valign="top"><em>Undo</em>&nbsp;</td><td><tr><td valign="top"><em>Redo</em>&nbsp;</td><td><tr><td valign="top"><em>Cut</em>&nbsp;</td><td><tr><td valign="top"><em>Copy</em>&nbsp;</td><td><tr><td valign="top"><em>Paste</em>&nbsp;</td><td><tr><td valign="top"><em>PasteSelection</em>&nbsp;</td><td><tr><td valign="top"><em>SelectAll</em>&nbsp;</td><td><tr><td valign="top"><em>Deselect</em>&nbsp;</td><td><tr><td valign="top"><em>DeleteWordBack</em>&nbsp;</td><td><tr><td valign="top"><em>DeleteWordForward</em>&nbsp;</td><td><tr><td valign="top"><em>Find</em>&nbsp;</td><td><tr><td valign="top"><em>FindNext</em>&nbsp;</td><td><tr><td valign="top"><em>FindPrev</em>&nbsp;</td><td><tr><td valign="top"><em>Replace</em>&nbsp;</td><td><tr><td valign="top"><em>Home</em>&nbsp;</td><td><tr><td valign="top"><em>Begin</em>&nbsp;</td><td><tr><td valign="top"><em>End</em>&nbsp;</td><td><tr><td valign="top"><em>Prior</em>&nbsp;</td><td><tr><td valign="top"><em>Next</em>&nbsp;</td><td><tr><td valign="top"><em>Up</em>&nbsp;</td><td><tr><td valign="top"><em>Back</em>&nbsp;</td><td><tr><td valign="top"><em>Forward</em>&nbsp;</td><td><tr><td valign="top"><em>Reload</em>&nbsp;</td><td><tr><td valign="top"><em>BeginningOfLine</em>&nbsp;</td><td><tr><td valign="top"><em>EndOfLine</em>&nbsp;</td><td><tr><td valign="top"><em>GotoLine</em>&nbsp;</td><td><tr><td valign="top"><em>BackwardWord</em>&nbsp;</td><td><tr><td valign="top"><em>ForwardWord</em>&nbsp;</td><td><tr><td valign="top"><em>AddBookmark</em>&nbsp;</td><td><tr><td valign="top"><em>ZoomIn</em>&nbsp;</td><td><tr><td valign="top"><em>ZoomOut</em>&nbsp;</td><td><tr><td valign="top"><em>FullScreen</em>&nbsp;</td><td><tr><td valign="top"><em>ShowMenubar</em>&nbsp;</td><td><tr><td valign="top"><em>TabNext</em>&nbsp;</td><td><tr><td valign="top"><em>TabPrev</em>&nbsp;</td><td><tr><td valign="top"><em>Help</em>&nbsp;</td><td><tr><td valign="top"><em>WhatsThis</em>&nbsp;</td><td><tr><td valign="top"><em>TextCompletion</em>&nbsp;</td><td><tr><td valign="top"><em>PrevCompletion</em>&nbsp;</td><td><tr><td valign="top"><em>NextCompletion</em>&nbsp;</td><td><tr><td valign="top"><em>SubstringCompletion</em>&nbsp;</td><td><tr><td valign="top"><em>RotateUp</em>&nbsp;</td><td><tr><td valign="top"><em>RotateDown</em>&nbsp;</td><td><tr><td valign="top"><em>OpenRecent</em>&nbsp;</td><td><tr><td valign="top"><em>SaveAs</em>&nbsp;</td><td><tr><td valign="top"><em>Revert</em>&nbsp;</td><td><tr><td valign="top"><em>PrintPreview</em>&nbsp;</td><td><tr><td valign="top"><em>Mail</em>&nbsp;</td><td><tr><td valign="top"><em>Clear</em>&nbsp;</td><td><tr><td valign="top"><em>ActualSize</em>&nbsp;</td><td><tr><td valign="top"><em>FitToPage</em>&nbsp;</td><td><tr><td valign="top"><em>FitToWidth</em>&nbsp;</td><td><tr><td valign="top"><em>FitToHeight</em>&nbsp;</td><td><tr><td valign="top"><em>Zoom</em>&nbsp;</td><td><tr><td valign="top"><em>Goto</em>&nbsp;</td><td><tr><td valign="top"><em>GotoPage</em>&nbsp;</td><td><tr><td valign="top"><em>DocumentBack</em>&nbsp;</td><td><tr><td valign="top"><em>DocumentForward</em>&nbsp;</td><td><tr><td valign="top"><em>EditBookmarks</em>&nbsp;</td><td><tr><td valign="top"><em>Spelling</em>&nbsp;</td><td><tr><td valign="top"><em>ShowToolbar</em>&nbsp;</td><td><tr><td valign="top"><em>ShowStatusbar</em>&nbsp;</td><td><tr><td valign="top"><em>SaveOptions</em>&nbsp;</td><td><tr><td valign="top"><em>KeyBindings</em>&nbsp;</td><td><tr><td valign="top"><em>Preferences</em>&nbsp;</td><td><tr><td valign="top"><em>ConfigureToolbars</em>&nbsp;</td><td><tr><td valign="top"><em>ConfigureNotifications</em>&nbsp;</td><td><tr><td valign="top"><em>TipofDay</em>&nbsp;</td><td><tr><td valign="top"><em>ReportBug</em>&nbsp;</td><td><tr><td valign="top"><em>SwitchApplicationLanguage</em>&nbsp;</td><td><tr><td valign="top"><em>AboutApp</em>&nbsp;</td><td><tr><td valign="top"><em>AboutKDE</em>&nbsp;</td><td><tr><td valign="top"><em>StandardShortcutCount</em>&nbsp;</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj191921996"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> addBookmark</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Add current page to bookmarks. Default: Ctrl+B
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191956620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> back</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Back. Default: Alt+Left
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191957900"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> backwardWord</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>BackwardWord. Default: Ctrl+Left
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191931756"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> begin</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Goto beginning of the document. Default: Ctrl-Home
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191933036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> beginningOfLine</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Goto beginning of current line. Default: Home
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191906668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> close</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Close current document. Default: Ctrl-w
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191945292"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> completion</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Complete text in input widgets. Default Ctrl+E
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191918284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> copy</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Copy selected area into the clipboard. Default: Ctrl-c
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191909196"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> cut</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Cut selected area and store it in the clipboard. Default: Ctrl-x
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191919884"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> deleteWordBack</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Delete a word back from mouse/cursor position. Default: Ctrl-Backspace
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191920268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> deleteWordForward</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Delete a word forward from mouse/cursor position. Default: Ctrl-Delete
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191932172"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> end</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Goto end of the document. Default: Ctrl-End
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191933420"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> endOfLine</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Goto end of current line. Default: End
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191899852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStandardShortcut.StandardShortcut find</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qkeysequence.html">QKeySequence</a>&nbsp;</td>
<td class="paramname"><em>keySeq</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the StandardShortcut id of the standard accel action which
uses this key sequence, or AccelNone if none of them do.
This is used by class KKeyChooser.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keySeq</em>&nbsp;</td><td> the key sequence to search
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the id of the standard accelerator, or AccelNone if there
is none
</dd></dl>
</p></div></div><a class="anchor" name="obj191898604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KStandardShortcut.StandardShortcut find</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>keyName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Return the StandardShortcut id of the standard accel action which
has <b>keyName</b> as its name, or AccelNone if none of them do.
This is used by class KKeyChooser.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>keyName</em>&nbsp;</td><td> the key sequence to search
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the id of the standard accelerator, or AccelNone if there
is none
</dd></dl>
</p></div></div><a class="anchor" name="obj191920236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> find</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Find, search. Default: Ctrl-f
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191920620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> findNext</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Find/search next. Default: F3
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191921036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> findPrev</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Find/search previous. Default: Shift-F3
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191957036"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> forward</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Forward. Default: ALT+Right
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191958284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> forwardWord</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>ForwardWord. Default: Ctrl+Right
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191944492"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> fullScreen</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Full Screen Mode. Default: Ctrl+Shift+F
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191942860"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> gotoLine</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Go to line. Default: Ctrl+G
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191901132"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> hardcodedDefaultShortcut</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the hardcoded default shortcut for <b>id.</b>
This does not take into account the user's configuration.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the accelerator
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the default shortcut of the accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191944460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> help</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Help the user in the current situation. Default: F1
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191931340"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> home</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Goto home page. Default: Alt-Home
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191930924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> insert</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Toggle insert/overwrite (with visual feedback, e.g. in the statusbar). Default: Insert
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191898732"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> label</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a localized label for user-visible display.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the accelerator
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a localized label for the accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191898156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns a unique name for the given accel.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the accelerator
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> the unique name of the accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191933772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> next</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Scroll down one page. Default: Next
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191946060"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> nextCompletion</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Iterate through a list when completion returns
multiple items. Default: Ctrl+Down
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191906156"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> open</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Open file. Default: Ctrl-o
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191906444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> openNew</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Create a new document (or whatever). Default: Ctrl-n
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191918700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> paste</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Paste contents of clipboard at mouse/cursor position. Default: Ctrl-v
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191919116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> pasteSelection</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Paste the selection at mouse/cursor position. Default: Ctrl-Shift-Insert
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191945676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> prevCompletion</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Iterate through a list when completion returns
multiple items. Default: Ctrl+Up
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191907500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> print_</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Print current document. Default: Ctrl-p
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191933388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> prior</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Scroll up one page. Default: Prior
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191908012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> quit</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Quit the program. Default: Ctrl-q
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191908876"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> redo</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Redo. Default: Shift-Ctrl-z
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191955820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> reload</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reload. Default: F5
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191921452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> replace</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Find and replace matches. Default: Ctrl-r
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191934316"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> rotateDown</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Help users iterate through a list of entries. Default: Down
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191955052"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> rotateUp</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Help users iterate through a list of entries. Default: Up
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191907180"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> save</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Save current document. Default: Ctrl-s
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191901580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> saveShortcut</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdeui/KShortcut.html">KShortcut</a>&nbsp;</td>
<td class="paramname"><em>newShortcut</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Saves the new shortcut <b>cut</b> for standard accel <b>id.</b>
</p></div></div><a class="anchor" name="obj191919500"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> selectAll</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Reload. Default: Ctrl-A
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191897772"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> shortcut</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns the keybinding for <b>accel.</b>
On X11, if QApplication was initialized with GUI disabled, the
default keybinding will always be returned.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the accelerator
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191958668"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> showMenubar</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Show Menu Bar. Default: Ctrl-M
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191946444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> substringCompletion</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Find a string within another string or list of strings.
Default: Ctrl-T
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191943244"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> tabNext</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Next Tab. Default: Ctrl-&lt;
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191943628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> tabPrev</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Previous Tab. Default: Ctrl-&gt;
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191908364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> undo</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Undo last operation. Default: Ctrl-z
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191956204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> up</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Up. Default: Alt+Up
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191899404"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> whatsThis</td>
<td>(</td>
<td class="paramtype">KStandardShortcut.StandardShortcut&nbsp;</td>
<td class="paramname"><em>id</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Returns an extended WhatsThis description for the given accelerator.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>id</em>&nbsp;</td><td> the id of the accelerator
</td></tr> </table></dl>
<p> <dl class="return" compact><dt><b>Returns:</b></dt><dd> a localized description of the accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191955852"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> whatsThis</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>What's This button. Default: Shift+F1
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191930540"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> zoomIn</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Zoom in. Default: Ctrl-Plus
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div><a class="anchor" name="obj191930956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KShortcut.html">KShortcut</a> zoomOut</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Zoom out. Default: Ctrl-Minus
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the shortcut of the standard accelerator
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
